## ldap2zone 0.1

=== Makefile ===
all: ldap2zone

ldap2zone: ldap2zone.c
	gcc -Wall ldap2zone.c -o ldap2zone -lldap

install: ldap2zone
	install -d ${DESTDIR}/usr/sbin
	install -d ${DESTDIR}/usr/share/doc/ldap2zone
	install ldap2zone ${DESTDIR}/usr/sbin/ldap2zone
	install ldap2bind ${DESTDIR}/usr/sbin/ldap2bind
	install -D -m 0644 debian/ldap2zone.lintian-overrides $(DESTDIR)/usr/share/lintian/overrides/ldap2zone
	install -d $(CURDIR)/debian/tmp/etc/default
	install -m 644 $(CURDIR)/debian/default $(CURDIR)/debian/tmp/etc/default/ldap2zone

clean:
	-rm ldap2zone

## ldap2zone 0.2

=== Makefile ===
all: ldap2zone

ldap2zone: ldap2zone.c
	gcc -Wall ldap2zone.c -o ldap2zone -lldap -llber

=== debian/changelog ===
ldap2zone (0.2-9) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/patches:
    + Add 0012_update-man-page.patch. Update ldap2bind man page after
      /etc/default/ldap2zone has been turned into an example file.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Use https:// URL for Vcs-*: fields.
    + Add versioned B-D: dpkg-dev (>= 1.16.1.1~).
  * debian/rules:
    + Enable all hardening build flags.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Jan 2017 09:15:06 +0100

ldap2zone (0.2-8) unstable; urgency=medium

  * debian/patches:
    + Update 0011_evaluate-run-deploy-var.patch. No output if RUN_DEPLOY
      is set to false.
    + Fix/improve 0011_evaluate-run-deploy-var.patch. Only exit silently,
      if RUN_DEPLOY is false and the evoking shell is non-interactive (e.g.
      CRON).
    + Update 2001_debian-defaults.patch. Rebase against patches above and
      update LDAP_URI default (empty string now).
  * default configuration:
    + Turn /etc/default/ldap2zone into an example file. Leaving already
      created /etc/default/ldap2zone files in place on purpose.
  * debian/patches:
    + Fix/improve 0011_evaluate-run-deploy-var.patch. Only exit silently,
      if RUN_DEPLOY is false and the evoking shell is non-interactive (e.g.
      CRON).
  * CRON: Only execute ldap2bind, if really installed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Feb 2016 15:36:51 +0100

ldap2zone (0.2-7) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * debian/patches.
    + Add 0010_cron-silent-unconfigured.patch. Quiet down cron job when
      ldap2zone is unconfigured. (Closes: #806942)

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0011_evaluate-run-deploy-var.patch. Evaluate the RUN_DEPLOY
      env variable which allows disabling the ldap2bind CRON job.
    + Add 2001_debian-defaults.patch. Define some sensible defaults in
      ldap2bind directly.
  * debian/default:
    + Use LDAP_URI="" as default URI (thus disable ldap2zone). Also point
      out the importance of using the (new) RUN_DEPLOY variable.
  * debian/copyright:
    + Turn into DEP-5 compliant format.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Feb 2016 15:04:04 +0100

ldap2zone (0.2-6) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * debian/patches:
    + Add 0009_support-ldapi-uris.patch. Accept ldapi:/// style URIs. (Closes:
      #792120).

  [ Mike Gabriel ]
  * debian/patches:
    + Introduce patch numbering scheme. Use .patch as suffix for all patch
      files.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Jul 2015 08:53:12 +0200

ldap2zone (0.2-5) unstable; urgency=low

  * Rewrite revert-broken-zones.patch to use named-checkzone to check
    for invalid zone files, as 'rndc reload' do not seem to return an
    error code on invalid zone files (Closes: #710362).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 Oct 2014 19:12:15 +0200

ldap2zone (0.2-4) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: New maintainer team (Debian Edu Packaging
    Team). Drop Cajus Pollmeier (retired DD) from Uploaders: field
    (Closes: #757657 ). Add Petter Reinholdtsen and myself to
    Uploaders: field.

  [ Petter Reinholdtsen ]
  * Add new heap-corruption.patch fixing memory corruption (Closes:
    #763530).
  * Add new revert-broken-zones.patch to change ldap2bind to revert to
    previous zone if the new is rejected by bind (Closes: #710362).
  * Rewrite ldap2bind to use tempfile to generate temporary files to
    avoid predictable file names in /tmp/.
  * Remove unneeded conflict on ldap2dns (Closes: #698362).
  * Add new stable-zone-ordering.patch to sort zone file output to get
    stable output (Closes: #710222).
  * Add new avoid-signed-unsigned-warning.patch to get rid of
    signed/unsigned warnings.
  * Add new hardening.patch to enable hardening (Closes:
    #763536). Update to debhelper compat level 9 for this.
  * Update Standards-Version from 3.9.2 to 3.9.6.
  * Add new unused-variables.patch to get rid of the last two compiler
    warnings by removing two unused variables.
  * Remove now obsolete 'DM-Upload-Allowed: yes' row in control file.
  * Update Vcs-* fields to point to the Debian Edu pkg-team
    repository.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Oct 2014 20:51:26 +0200

ldap2zone (0.2-3.1) unstable; urgency=low

  [ Dominik George ]
  * Non-maintainer upload.
  * Fix unbound variable in ldap2bind script (Closes: #690377)

  [ Thorsten Glaser ]
  * Convert patch to DEP-3; fix CR-LF endings; sponsor (Closes: #695597)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 10 Dec 2012 23:27:15 +0100

ldap2zone (0.2-3) unstable; urgency=low

  * Fixed installation of default file

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 25 Jul 2012 08:11:03 +0200

ldap2zone (0.2-2) unstable; urgency=low

  * Made script log using logger by a patch contributed by
    Petter Reinholdtsen

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 23 Dec 2011 09:03:05 +0100

ldap2zone (0.2-1) unstable; urgency=low

  * Converted to format 3.0 quilt
  * Corrected semicolon missing in update and transfer parameter
  * Make notify an optional argument

 -- Benoit Mortier <benoit.mortier@opensides.be>  Fri, 27 May 2011 18:52:11 +0100

ldap2zone (0.1-8) unstable; urgency=low

  * Added manpage for ldap2bind provided by Andreas B. Mundt

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 17 May 2011 09:00:17 +0200

ldap2zone (0.1-7) unstable; urgency=low

  * Corrected error in notify dns statement breaking the program

 -- Benoit Mortier <benoit.mortier@opensides.be>  Wed, 09 Jun 2010 12:50:28 +0200

ldap2zone (0.1-6) unstable; urgency=low

  * Added parameters to allow notify dns protocol and zone transfer

 -- Benoit Mortier <benoit.mortier@opensides.be>  Mon, 26 Apr 2010 00:16:23 +0200

ldap2zone (0.1-5) unstable; urgency=low

  * Added missing printf patch



=== debian/control ===
Source: ldap2zone
Section: utils
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Benoit Mortier <benoit.mortier@opensides.be>,
Standards-Version: 3.9.8
Build-Depends:
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1.1~),
 libldap2-dev,
 ldap-utils,
Homepage: https://oss.gonicus.de/labs/gosa
Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/ldap2zone.git
Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/ldap2zone.git

Package: ldap2zone
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, bind9
Conflicts: ldapdns
Description: Extract DNS zones from LDAP trees
 This is a tool that reads info for a zone from LDAP and constructs
 a standard plain ascii zone file. The LDAP information has to be
 stored using the dnszone schema.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
